# Uses of Class
org.apache.sysds.runtime.instructions.cp.IntObject

Packages that use IntObject
Package
Description
org.apache.sysds.runtime.controlprogram.parfor
org.apache.sysds.runtime.instructions.cp

## Uses of IntObject in org.apache.sysds.runtime.controlprogram.parfor

Methods in org.apache.sysds.runtime.controlprogram.parfor that return types with arguments of type IntObject
Modifier and Type
Method
Description
`List<IntObject>`
Task.`getIterations()`
Methods in org.apache.sysds.runtime.controlprogram.parfor with parameters of type IntObject
Modifier and Type
Method
Description
`void`
Task.`addIteration(IntObject indexVal)`
`static TaskPartitioner`
TaskPartitionerFactory.`createTaskPartitioner(ParForProgramBlock.PTaskPartitioner type, IntObject from, IntObject to, IntObject incr, long taskSize, int numThreads, String iterPredVar)`
Constructors in org.apache.sysds.runtime.controlprogram.parfor with parameters of type IntObject
Modifier
Constructor
Description
``
`TaskPartitionerFactoring(long taskSize, int numThreads, String iterVarName, IntObject fromVal, IntObject toVal, IntObject incrVal)`
``
`TaskPartitionerFactoringCmax(long taskSize, int numThreads, long constraint, String iterVarName, IntObject fromVal, IntObject toVal, IntObject incrVal)`
``
`TaskPartitionerFactoringCmin(long taskSize, int numThreads, long constraint, String iterVarName, IntObject fromVal, IntObject toVal, IntObject incrVal)`
``
`TaskPartitionerFixedsize(long taskSize, String iterVarName, IntObject fromVal, IntObject toVal, IntObject incrVal)`
``
`TaskPartitionerNaive(long taskSize, String iterVarName, IntObject fromVal, IntObject toVal, IntObject incrVal)`
``
`TaskPartitionerStatic(long taskSize, int numThreads, String iterVarName, IntObject fromVal, IntObject toVal, IntObject incrVal)`

## Uses of IntObject in org.apache.sysds.runtime.instructions.cp

Methods in org.apache.sysds.runtime.instructions.cp that return IntObject
Modifier and Type
Method
Description
`static IntObject`
ScalarObjectFactory.`castToLong(ScalarObject so)`